import request from '@/utils/request'

// 查询播放方案列表
export function listPlan(query) {
  return request({
    url: '/base/plan/list',
    method: 'get',
    params: query
  })
}

// 查询播放方案详细
export function getPlan(id) {
  return request({
    url: '/base/plan/' + id,
    method: 'get'
  })
}

// 新增播放方案
export function addPlan(data) {
  return request({
    url: '/base/plan',
    method: 'post',
    data: data
  })
}

// 修改播放方案
export function updatePlan(data) {
  return request({
    url: '/base/plan',
    method: 'put',
    data: data
  })
}

// 删除播放方案
export function delPlan(id) {
  return request({
    url: '/base/plan/' + id,
    method: 'delete'
  })
}
